#ifndef EMPLOYEE_H
#define EMPLOYEE_H

#include "Person.h"

class Employee : public Person
{
  protected:
	double salary;
	string departments;

  public:
	Employee();
	istream& load(istream& input);
	ostream& print(ostream& output) const;
	virtual SocioeconomicalStatus getSocioeconomicalStatus() const;

  private:
	Employee(const Employee& other);
	const Employee& operator=(const Employee& other);
};

#endif // EMPLOYEE_H
